# $Id: $
import os
import sys
import sconstools

# A SCons test to  look for the IL headers  and libs.  Should work
# for the following environments:
# - Linux Xorg 7 (tested on Mandriva 2007.0).
def checkIL (context):
    context.Message ("Checking for IL...")
    oldLIBS = context.env["LIBS"]
    sconstools.setLibVariables (context.env, "DevIL")
    context.env.Prepend (LIBS = "IL")
    hasIL = context.TryLink ("""
#include <IL/il.h>
int main (int argc, char* argv[]) {
  ilInit();
  return 0;
}
""", ".cc")
    context.Result (hasIL)
    if not hasIL:
        context.env["LIBS"] = oldLIBS
    return hasIL
    
# A SCons test to  look for the ILU headers  and libs.  Should work
# for the following environments:
# - Linux Xorg 7 (tested on Mandriva 2007.0).
def checkILU (context):
    context.Message ("Checking for ILU...")
    oldLIBS = context.env["LIBS"]
    context.env.Prepend (LIBS = "ILU")
    hasILU = context.TryLink ("""
#include <IL/ilu.h>
int main (int argc, char* argv[]) {
  iluInit();
  return 0;
}
""", ".cc")
    context.Result (hasILU)
    if not hasILU:
        context.env["LIBS"] = oldLIBS
    return hasILU
    
# A SCons test to  look for the ILUT headers  and libs.  Should work
# for the following environments:
# - Linux Xorg 7 (tested on Mandriva 2007.0).
def checkILUT (context):
    context.Message ("Checking for ILUT...")
    oldLIBS = context.env["LIBS"]
    context.env.Prepend (LIBS = "ILUT")
    hasILUT = context.TryLink ("""
#include <IL/ilut.h>
int main (int argc, char* argv[]) {
  ilutInit();
  return 0;
}
""", ".cc")
    context.Result (hasILUT)
    if not hasILUT:
        context.env["LIBS"] = oldLIBS
    return hasILUT
    
# Add the tests to those available in a SCons Configure object.
def addTests (conf, vars = None):
    if vars:
        sconstools.addLibVariables (vars, "DevIL", "Path to the DevIL library")
    conf.AddTests ({ "CheckIL": checkIL,
                     "CheckILU": checkILU,
                     "CheckILUT": checkILUT })
