# $Id: $
import os
import sys
import sconstools

# A SCons test to  look for the GTK headers  and libs.  Should work
# for the following environments:
# - Windows / Mingw.
def checkGTK (context):
    context.Message ("Checking for GTK+...")
    hasGTK = sconstools.configPkg (context.env, "gtk+-2.0")
    context.Result (hasGTK)
    return hasGTK

# A SCons test to  look for the GThread headers  and libs.  Should work
# for the following environments:
# - Windows / Mingw.
def checkGThread (context):
    context.Message ("Checking for GThread...")
    hasGThread = sconstools.configPkg (context.env, "gthread-2.0")
    context.Result (hasGThread)
    return hasGThread

# Add the tests to those available in a SCons Configure object.
def addTests (conf, vars = None):
    conf.AddTests ({ "CheckGTK": checkGTK,
                     "CheckGThread": checkGThread })
