# $Id: $
import os
import sys
import sconstools

# A SCons test to  look for the Gimp headers  and libs.  Should work
# for the following environments:
# - Windows / Mingw.
def checkGimp (context):
    context.Message ("Checking for Gimp libraries...")
    hasGimp = sconstools.configPkg (context.env, "gimp-2.0")
    context.Result (hasGimp)
    return hasGimp

# A SCons test to  look for the GimpUI headers  and libs.  Should work
# for the following environments:
# - Windows / Mingw.
def checkGimpUi (context):
    context.Message ("Checking for Gimp UI libraries...")
    hasGimpUI = sconstools.configPkg (context.env, "gimpui-2.0")
    context.Result (hasGimpUI)
    return hasGimpUI

# Add the tests to those available in a SCons Configure object.
def addTests (conf, vars = None):
    conf.AddTests ({ "CheckGimp": checkGimp,
                     "CheckGimpUi": checkGimpUi })
