# $Id: $
import os
import sys
import sconstools

# A SCons test to  look for the DLib headers  and libs.  Should work
# for the following environments:
# - Linux Mandriva
def checkDLib (context):
    context.Message ("Checking for DLib...")
    oldLIBS = context.env["LIBS"]
    sconstools.setLibVariables (context.env, "DLib")
    context.env.Prepend (LIBS = [ "dlib-1.0.0" ])
    hasDLib = context.TryLink ("""
#include <dlib/dlib.h>
int main (int argc, char* argv[]) {
   d_init ("<session>");
   return 0;
}
""", ".c")
    context.Result (hasDLib)
    if not hasDLib:
        context.env["LIBS"] = oldLIBS
    return hasDLib

# Add the tests to those available in a SCons Configure object.
def addTests (conf, vars = None):
    if vars:
        sconstools.addLibVariables (vars, "DLib", "Path to the DLib library")
    conf.AddTests ({ "CheckDLib": checkDLib })
