# $Id: $
import os
import sys
import sconstools

# A SCons test to  look for the little CMS headers  and libs.  Should work
# for the following environments:
# - Mingw32.
def checkLcms (context):
    context.Message ("Checking for Little CMS...")
    oldLIBS = context.env["LIBS"]
    sconstools.setLibVariables (context.env, "lcms")
    context.env.Prepend (LIBS = [ "lcms" ])
    hasLCMS = context.TryLink ("""
#define PACKAGE_NAME ""
#include <lcms.h>
int main (int argc, char* argv[]) {
   cmsHPROFILE hInProfile = cmsCreate_sRGBProfile();
   return 0;
}
""", ".c")
    context.Result (hasLCMS)
    if not hasLCMS:
        context.env["LIBS"] = oldLIBS
    return hasLCMS

# Add the tests to those available in a SCons Configure object.
def addTests (conf, vars = None):
    if vars:
        sconstools.addLibVariables (vars, "LCMS", "Path to the Little CMS library")
    conf.AddTests ({ "CheckLCMS": checkLCMS })
