# $Id: $
import sconstools

# A generic SCons test to  look for a pkg-config package.
def checkPkgConfig (context, package, minVersion = None,
                    maxVersion = None, exactVersion = None):
    context.Message ("Checking for %s%s%s%s..."
                     % (package,
                        (" >= %s" % minVersion) if minVersion else "",
                        (" <= %s" % maxVersion) if maxVersion else "",
                        (" == %s" % exactVersion) if exactVersion else ""))
    hasPkg = sconstools.configPkg (context.env, package, minVersion,
                                   maxVersion, exactVersion)
    context.Result (hasPkg)
    return hasPkg

# Add the tests to those available in a SCons Configure object.
def addTests (conf, vars = None):
    if vars:
        vars.Add ("pkg_config_path",
                  "Additional path to look for pkg-config packages")
    conf.AddTests ({ "CheckPkgConfig": checkPkgConfig })
