# Quick doc:
#
# =================================8<---------------------------------
# import sconstools.lint as lint
#
# lint.register (env)
# env.Lint ("${PACKAGE}-lint.log", sources)
# --------------------------------->8=================================
#
# Available variables:
# - ``LINT`` lint executable (defaults to ``splint``);
# - ``LINTCOM`` lint command  line (defaults to calling ``$LINT`` with
#   the C preprocessor options and ``$LINTFLAGS``);
# - ``LINTFLAGS`` extra lint flags (defaults to none).
import SCons
import sconstools as tools

def register (env):
    LintAction = SCons.Action.Action('$LINTCOM', '$LINTCOMSTR')

    if not env.has_key ("LINT"):
        env['LINT']  = 'splint'
    env['LINTCOM']   = '$LINT $CPPFLAGS $_CPPDEFFLAGS $_CPPINCFLAGS $LINTFLAGS $SOURCES > $TARGET'
    env['LINTFLAGS'] = SCons.Util.CLVar('')

    if not env["verbose"]:
        env['LINTCOMSTR'] = tools.makeStandardCommandString ("Checking code, log will be put in ${TARGET}...")
    else:
        env['LINTCOMSTR'] = tools.makeVerboseCommandString ("Checking code, log will be put in ${TARGET}:",
                                                            "${LINTCOM}")

    env.Append (BUILDERS = { "Lint": env.Builder (action = LintAction,
                                                  source_scanner = SCons.Tool.SourceFileScanner) })
