import _gcc

def setWinArmTarget (env, vars):
    # Setup the generic gcc toolchain
    _gcc.setGenericGccTarget (env, vars, "arm-elf-")

    # Add an option to select the target CPU
    if vars:
        from SCons.Variables import EnumVariable
        vars.AddVariables (("arm_cpu", "Target CPU"),
                           EnumVariable ("arm_mode", "Compilation mode",
                                         "arm", [ "arm", "thumb" ]))
        vars.Update (env)

        if env.has_key ("arm_cpu"):
            env.Append (CCFLAGS = [ "-mcpu=$arm_cpu" ])

        if env["arm_mode"] == "arm":
            pass
        elif env["arm_mode"] == "thumb":
            env.Append (CCFLAGS = [ "-mthumb" ])
        else:
            raise Exception, "Unknown compilation mode: '%s'" % env["arm_mode"]

    # Setup installation paths
    env["DATA_PATH"]    = "${PREFIX}/share/${PACKAGE}"
    env["DOC_PATH"]     = "${PREFIX}/share/doc/${PACKAGE}"
    env["HEADER_PATH"]  = "${PREFIX}/include/${PACKAGE}"
    env["LIBRARY_PATH"] = "${PREFIX}/lib"
    env["PROGRAM_PATH"] = "${PREFIX}/bin"

def register (targets):
    if targets.has_key ("winarm"):
        print "WARNING: Multiple registration for the winarm target"
    else:
        targets["winarm"] = setWinArmTarget
