# When  using a Wrapper  class  to  override  (or add) an  Environment
# method, the wrapper  class is not   updated when the Environment  is
# copied  and the  methods of  the copy are   actually  applied on the
# original. These functions fix the problem.
#
# Example
# -------
#
# def Foo (env, foo):
#     env["FOO"] = foo
#
# env.Wrap (Foo = Foo)
#
# env.My ("env")
# print env["FOO"]              # Prints "env"
# env2 = env.Copy()
# env2.Foo ("env2")
# print env2["FOO"]             # Prints "env2"
# print env["FOO"]              # Prints "env"
#
# NOTE::
#
#     This module is deprecated. Use env.AddMethod instead

from sconstools import printMessage

def Wrap (env, **kw):
    printMessage ("WARNING", "The 'env.Wrap' function is deprecated, use 'env.AddMethod' instead")
    for name, func in kw.iteritems():
        env.AddMethod (func, name)

def register (env):
    env.AddMethod (Wrap)
